MONGOC_TOPOLOGY_DESCRIPTION_NEW_COPY(3)

NAME
mongoc_topology_description_new_copy - mongoc_topology_description_new_copy()

SYNOPSIS

        mongoc_topology_description_t *
        mongoc_topology_description_new_copy (
           const mongoc_topology_description_t *description)
           BSON_GNUC_WARN_UNUSED_RESULT;

PARAMETERS

    •   description: A mongoc_topology_description_t.

DESCRIPTION

Performs a deep copy of description.

RETURNS

Returns a newly allocated copy of description that should be freed with mongoc_topology_description_destroy() when no longer in use. Returns NULL if description is NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc